### org.jfree.layouting.renderer.border

# Class StyledBorderEdge

- `java.lang.Object`
- - `org.jfree.layouting.renderer.border.StyledBorderEdge`

Implemented Interfaces:
  BorderEdge

`public class StyledBorderEdge`
`extends java.lang.Object`
`implements BorderEdge`

Creation-Date: 23.06.2006, 16:54:04

Author:
  Thomas Morgner

  ## Constructor Summary

  `StyledBorderEdge(CSSValue borderStyle, CSSColorValue color, RenderLength width)`

  ## Method Summary

  `CSSValue`

  `getBorderStyle()`

  `CSSColorValue`

  `getColor()`

  `RenderLength`

  `getWidth()`

## Constructor Details

### StyledBorderEdge

    public StyledBorderEdge(CSSValue borderStyle,
                            CSSColorValue color,
                            RenderLength width)

## Method Details

### getBorderStyle

    public CSSValue getBorderStyle()

> Specified by:
>   getBorderStyle in interface BorderEdge

### getColor

    public CSSColorValue getColor()

> Specified by:
>   getColor in interface BorderEdge

### getWidth

    public RenderLength getWidth()

> Specified by:
>   getWidth in interface BorderEdge